### Method

# St ThemeNode adjust_preferred_width

#### Declaration [src]

    void
    st_theme_node_adjust_preferred_width (
      StThemeNode* node,
      float* min_width_p,
      float* natural_width_p
    )

#### Description [src]

Adjusts the minimum and natural width computed for an actor by adding on the necessary space for borders and padding and taking into account any minimum or maximum width. This is a convenience function meant to be called from the `get_preferred_width()` method of a `ClutterActor` subclass.

#### Parameters

`min_width_p`

  Type: `float*`

  The minimum width to adjust.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.

`natural_width_p`

  Type: `float*`

  The natural width to adjust.

  The argument will be modified by the function.